This page is for version Latest (default).
For other versions, use one of these documentation indexes:
- Latest (default): https://docs.coactive.ai/latest/llms.txt
GET https://api.coactive.ai / api / v1 / datasets
Get all datasets in a paginated list
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
dataset_ids list of strings or null Optional
status list of enums or null Optional
Allowed values: active inactive deleting deleted
allowed_asset_types list of enums or null Optional
Allowed values: image video
keyframe_sampling_method enum or null Optional
Indicates the method used to sample keyframes from a video
Allowed values: intelligent uniform
store_original boolean or null Optional
store_preview boolean or null Optional
created_before string or null Optional format: "date-time"
created_after string or null Optional format: "date-time"
last_updated_before string or null Optional format: "date-time"
last_updated_after string or null Optional format: "date-time"
name_pattern string or null Optional
new_video_data_model boolean or null Optional
celebrity_detection_enabled boolean or null Optional
context_studio_enabled boolean or null Optional
skip integer Optional >=0Defaults to 0
limit integer Optional Defaults to 100
include_deleted boolean Optional Defaults to false
Response Successful Response
meta object or null
Metadata for the set of data returned
data list of objects
The paginated data
Errors 422 Unprocessable Entity Error